Bug 170530 - 'Upgrade' on a RAID 1 system complains of duplicate drive identifiers.
'Upgrade' on a RAID 1 system complains of duplicate drive identifiers.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 12:32 EDT by Bob Fearnley
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Fearnley 2005-10-12 12:32:05 EDT
Description of problem: 
'Upgrade' on a RAID 1 system complains of duplicate drive identifiers.  New
installs & full a re-install over existing FC4 both work OK without this error.


Version-Release number of selected component (if applicable):
Anaconda as shipped in:  2.6.11-1.1369_FC4

How reproducible:
Easily

Steps to Reproduce:
1. Start a installation and select the Upgrade option
2.
3.
  
Actual results:
I am advised that two drives have the identifier "LINUX" and can then only
reboot.  Cannot recall the exact words of the error but this is the implication.

Expected results:
Should go ahead and upgrade existing installation - replacing damaged files.

Additional info:
Comment 1 Chris Lumens 2005-10-19 16:45:11 EDT
Did you receive a traceback (the "Exception Occured" dialog would pop up with
several options) or just an error message?  If you got a traceback, please
attach it to this bug report.
Comment 2 Bob Fearnley 2005-10-20 05:03:47 EDT
No additional info at all.  Just the bald statement about duplicate drive
identifiers.  When I click OK (I think) all I got was the option to reboot.

I didn't bother to retry, I just did a new install, loading everything again
over what was already there. No error message doing that or when I loaded FC4
for the first time.   The first install was only a few days earlier as I'm
totally new to Linux and the relaod was because something convinced my that I
had a corruption somewhere and this seemd the quickest way to clear it.

Hope this helps.
Comment 3 Need Real Name 2006-01-10 22:44:52 EST
I saw something similar to this when trying to upgrade a RedHat 9 system which was installed on a 
Promise RAID (set in the BIOS). The installer complained that two / partitions were found. This may also be 
related to a bug I noticed in upgrading a Fedora Core 2 system set up with software RAID-1 to FC4. In that 
case, I found that only one of the two RAID-1 slices survived the upgrade and I had to reattach and resync 
the others. Finally I noticed yesterday that when clean installing on a set of newly created software RAID-1 
partitions that only one slice of each RAID-1 partition was up todate after the installation and that the 
other slices were resync'd to them. So it seems that the Fedora Core installer doesn't really write to both 
slices of a RAID-1 partition under certain circumstances.
Comment 4 Christian Iseli 2007-01-19 19:44:00 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.